Bug 100676

Summary: gp104 - messy(random green and/or missing pixel lines) then no output at and after boot
Product: xorg Reporter: xen <nvbugs>
Component: Driver/nouveauAssignee: Nouveau Project <nouveau>
Status: RESOLVED MOVED QA Contact: Xorg Project Team <xorg-team>
Severity: major    
Priority: medium CC: mikolaj.swiatek, nvbugs
Version: git   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
extracted journalctl log
none
extracted journalctl log #2
none
photo taken from primary output during boot none

Description xen 2017-04-13 20:56:17 UTC
Created attachment 130836 [details]
extracted journalctl log
Comment 1 Ben Skeggs 2017-04-13 23:28:40 UTC
Can you boot your kernel with "log_buf_len=8M drm.debug=0x14 nouveau.debug=disp=trace,i2c=trace,bios=trace" and post an updated log?
Comment 2 xen 2017-04-14 08:50:50 UTC
Created attachment 130841 [details]
extracted journalctl log #2

kernel log with "log_buf_len=8M drm.debug=0x14
nouveau.debug=disp=trace,i2c=trace,bios=trace"
Comment 3 xen 2017-04-14 08:57:37 UTC
Created attachment 130842 [details]
photo taken from primary output during boot
Comment 4 Ben Skeggs 2017-04-14 12:32:41 UTC
(In reply to xen from comment #3)
> Created attachment 130842 [details]
> photo taken from primary output during boot

Ah, thank you.  I know what's going on here, it relates to some as of yet unimplemented display architecture changes that GM20x requires.

I shall fix it, but it might take me a little while to figure out how exactly to go about it.
Comment 5 Ben Skeggs 2017-05-19 14:06:39 UTC
If you build the kernel module from my tree[1], I believe your issues will be resolved now.

[1] https://github.com/skeggsb/nouveau/commits/master
Comment 6 Martin Peres 2019-12-04 09:27:05 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-nouveau/issues/342.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.